package com.example.navigationbaato.factory

import android.app.Activity
import android.content.Context
import com.example.navigationbaato.activity.NavigationActivity
import com.example.navigationbaato.utilities.PluginUtilities

import com.mapbox.mapboxsdk.Mapbox
import io.flutter.plugin.common.BinaryMessenger
import io.flutter.plugin.common.StandardMessageCodec
import io.flutter.plugin.platform.PlatformView
import io.flutter.plugin.platform.PlatformViewFactory


class MapViewFactory(private val messenger: BinaryMessenger, private val activity: Activity) : PlatformViewFactory(StandardMessageCodec.INSTANCE) {
    
    override fun create(context: Context?, viewId: Int, args: Any?): PlatformView {
        var accessToken = PluginUtilities.getResourceFromContext(context!!, "baato_access_token")
        var mapStyleDef = PluginUtilities.getResourceFromContext(context!!, "baato_default_style")
        Mapbox.getInstance(context, accessToken)
        return NavigationFactory(context!!, messenger, accessToken, mapStyleDef, viewId, activity, args)
//        return FlutterMapViewFactory(context!!, messenger, accessToken, mapStyleDef, viewId, activity, args)
    }
}